package org.jeecg.modules.apiService.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.NewsService;
import org.jeecg.modules.carrentNews.entity.CarrentNews;
import org.jeecg.modules.carrentNews.service.ICarrentNewsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class NewsServiceImpl implements NewsService {

    /*************************************************************************************/
    //新闻信息
    @Resource
    private ICarrentNewsService carrentNewsService;
    /*************************************************************************************/

    //新闻资讯-获取新闻列表
    @Override
    public Result<?> queryNewsList(PageBean pageBean) {
        //返回信息
        String message = "新闻列表查询失败!";
        //新闻列表
        Page<CarrentNews> pageList = null;

        try{
            //分页
            Page<CarrentNews> page = new Page<CarrentNews>(pageBean.getPageNo(), pageBean.getPageSize());
            //获取新闻列表
            pageList = carrentNewsService
                    .lambdaQuery()
                    .page(page);

            //判断执行结果
            if(null != pageList){
                message = "新闻列表信息";
            }else {
                message = "新闻列表为空";
            }

            //返回执行结果
            return Result.OK(message, pageList);
        }catch (Exception e){
            //错误信息打印
            e.printStackTrace();
            return Result.error(message, pageList);
        }

    }

    //新闻资讯-根据id获取新闻详情
    @Override
    public Result<?> queryNewsById(String newsId) {
        //返回信息
        String message = "新闻详情查询失败!";
        //新闻详情
        CarrentNews one = null;

        try{
            //获取新闻详情
            one = carrentNewsService.getById(newsId);

            //判断执行结果
            if(null != one){
                message = "新闻详情信息";
            }else {
                message = "新闻详情为空";
            }

            //返回执行结果
            return Result.OK(message, one);

        }catch (Exception e){
            //错误信息打印
            e.printStackTrace();
            return Result.error(message, one);
        }

    }
}
